Bug 1210261 - split rhevm-log-collector moving sos plugins to subpackage
Summary: split rhevm-log-collector moving sos plugins to subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-log-collector
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Sandro Bonazzola
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1210644 1234855
TreeView+ depends on / blocked
 
Reported: 2015-04-09 09:57 UTC by Sandro Bonazzola
Modified: 2016-03-09 20:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In Red Hat Enterprise Linux 6.7, the sos package was upgraded to version 3.2. Consequently, the sos 2 plug-ins used by the log collector tool until Red Hat Enterprise Linux 6.6.z conflicted with the sos plug-ins included in sos 3.2. To avoid this, the log collector package was divided and the conflicting sos plug-ins were moved to an optional sub-package; this sub-package can be installed if sos 2 is required, or removed if sos 3.2 is required. The log collector can now be used with sos 2 on Red Hat Enterprise Linux 6.6 systems, and with sos 3.2 on Red Hat Enterprise Linux 6.7 systems.
Clone Of:
: 1210644 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:00:00 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0392 normal SHIPPED_LIVE rhevm-log-collector bug fix and enhancement update 2016-03-10 00:19:00 UTC
oVirt gerrit 39719 master MERGED packaging: moved sos plugins to subpackage Never

Description Sandro Bonazzola 2015-04-09 09:57:56 UTC
In RHEL 6.7 the sos package will be upgraded to version 3.2.
In order to allow to upgrade from 6.6 to 6.7 avoiding file conflicts, the sos-2 plugins currently shipped within rhevm-log-collector must be moved to an optional sub-package that conflicts with previous rhevm-log-collector versions and sos-3.

When upgrading to 6.7 the optional rpm must still be manually removed for allowing sos to be updated.

Comment 2 Gonza 2015-04-20 07:40:42 UTC
With Ovirt3.6[1] installed on rhel6.6 upgraded to rhel6.7 with optional rpm disabled and sos-2[2] was successfully upgraded to sos-3[3]

[1] ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764.el6.noarch
[2] sos-2.2-68.el6.noarch
[3] sos-3.2-22.el6.noarch

Comment 5 errata-xmlrpc 2016-03-09 20:00:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0392.html


Note You need to log in before you can comment on or make changes to this bug.